import * as paraswapInterfaces from '../interfaces';
import { SwapConfig, SwapDeposit } from "../interfaces/swap.interface";
/**
 * Get the transactions for Augustus contract for a deposit
 * @param swapDeposit SwapDeposit
 * @param swapConfig SwapConfig
 * @returns an array of TransactionsToParaswap[]
 */
export declare const deposit: (swapDeposit: SwapDeposit, swapConfig: SwapConfig) => Promise<paraswapInterfaces.TransactionParams[]>;
