import * as paraswapInterfaces from '../interfaces';
import { SwapConfig, SwapRedeem } from "../interfaces/swap.interface";
/**
 * Get the transactions for Augustus contract for a redeem
 * @param swapRedeem swapRedeem
 * @param swapConfig SwapConfig
 * @returns an array of TransactionsToParaswap[]
 */
export declare const redeem: (swapRedeem: SwapRedeem, swapConfig: SwapConfig) => Promise<paraswapInterfaces.TransactionParams[]>;
